curl -X POST 'https://api.sendforsign.com/api/user' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "read",
"clientKey": "YOUR_CLIENT_KEY",
"user": {
"userKey": "USER_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"customKey": "YOUR_COMBINATION"
}
}
}'
{
"user": {
"createTime": "2023-12-01 12:18:55",
"changeTime": "2023-12-01 12:18:55",
"userKey": "USER_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"customKey": "YOUR_COMBINATION"
},
"code": "200",
"message": "User found"
}
User
Read user
Get information about a specific user.
POST
/
api
/
user
curl -X POST 'https://api.sendforsign.com/api/user' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "read",
"clientKey": "YOUR_CLIENT_KEY",
"user": {
"userKey": "USER_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"customKey": "YOUR_COMBINATION"
}
}
}'
{
"user": {
"createTime": "2023-12-01 12:18:55",
"changeTime": "2023-12-01 12:18:55",
"userKey": "USER_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"customKey": "YOUR_COMBINATION"
},
"code": "200",
"message": "User found"
}
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Action type.
string
required
Key of the client.
Response
string
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/user' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "read",
"clientKey": "YOUR_CLIENT_KEY",
"user": {
"userKey": "USER_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"customKey": "YOUR_COMBINATION"
}
}
}'
{
"user": {
"createTime": "2023-12-01 12:18:55",
"changeTime": "2023-12-01 12:18:55",
"userKey": "USER_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"customKey": "YOUR_COMBINATION"
},
"code": "200",
"message": "User found"
}
⌘I